$family-sans-serif: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", "Roboto", "Oxygen", "Ubuntu", "Cantarell", "Fira Sans", "Droid Sans", "Helvetica Neue", sans-serif
$family-monospace: source-code-pro, Menlo, Monaco, Consolas, "Courier New", monospace
$font-family: $family-sans-serif

$logo-sizes: ("small": 50px, "medium": 75px)

$login-card-width: 350px
$container-width: 800px

$body-bg: #f8f8f8
$footer-bg: #fafafa
$footer-fg: #555
$footer-height: 50px

$sidebar-width: 220px
$sidebar-link-height: 50px
$sidebar-bg: $body-bg
$sidebar-fg: #333
$topbar-height: 70px
$topbar-logo-width: $sidebar-width
$topbar-logo-img-height: $topbar-height - 15
$color-red: #DB2828
$color-blue: #2185D0
$color-green: #27ae60
$color-teal: #00b5ad
$color-pink: #e03997
$color-primary: #7EDBFC
$sidebar-gap: 1.25rem

$super-admin-permission-color: #ffc145;

$header-navigation-height: 55px

$import-google-fonts: false
$icons-font-path: "../../node_modules/semantic-ui-sass/icons"
$flags-image-path: "../../node_modules/semantic-ui-sass/images"

=hoverable($timeout: .15s)
  transition: $timeout ease-in-out
  cursor: pointer
  &:hover
    background: darken(#fff, 5%)

=tinted-cell($color)
  background: transparentize($color, .98)
  color: $color

=tinted-header($color)
  background: transparentize($color, .95)
  color: $color
